Loading...
Searching...
No Matches
jsConsumerInfo Struct Reference
Types

`#include <nats.h>`

## Public Attributes

char * | Stream
char * | Name
int64_t | Created
| UTC time expressed as number of nanoseconds since epoch.
jsConsumerConfig * | Config
jsSequenceInfo | Delivered
jsSequenceInfo | AckFloor
int64_t | NumAckPending
int64_t | NumRedelivered
int64_t | NumWaiting
uint64_t | NumPending
jsClusterInfo * | Cluster
bool | PushBound

## Detailed Description

Configuration and current state for this consumer.

Note
  `Created` is the timestamp when the consumer was created, expressed as the number of nanoseconds passed since 00:00:00 UTC Thursday, 1 January 1970.

## Member Data Documentation

## Stream

char* jsConsumerInfo::Stream

## Name

char* jsConsumerInfo::Name

## Created

int64_t jsConsumerInfo::Created

## Config

jsConsumerConfig* jsConsumerInfo::Config

## Delivered

jsSequenceInfo jsConsumerInfo::Delivered

## AckFloor

jsSequenceInfo jsConsumerInfo::AckFloor

## NumAckPending

int64_t jsConsumerInfo::NumAckPending

## NumRedelivered

int64_t jsConsumerInfo::NumRedelivered

## NumWaiting

int64_t jsConsumerInfo::NumWaiting

## NumPending

uint64_t jsConsumerInfo::NumPending

## Cluster

jsClusterInfo* jsConsumerInfo::Cluster

## PushBound

bool jsConsumerInfo::PushBound

The documentation for this struct was generated from the following file:

- nats.h